#include <stdio.h>
main(int ac,char **av)
{
  char a[99],f1[30],f2[30],f3[30],c=92,c2[3],head[72][80];
  int i,k,n1,n2;
  FILE *fp;
  float gain,seeing,x1,x2,x3,x4;
  if(ac<2){ printf("\n\t**** bertin PSF job ****** 2013,6,28,0819\n");
            printf("\n\tUsage: berpsf p5924_0188_1\n\n");
            exit(0); }
  strcpy(f1,av[1]); for(i=0;i<strlen(f1);i++)if(f1[i]=='.')break; f1[i]=0;
  sprintf(f2,"%s.fit",f1); fp=fopen(f2,"rb");  
  if(!fp){ printf("%s not found!\n",f2); exit(0); }
  fread(head,72,80,fp); fclose(fp); 
  sscanf(&head[3][20],"%d",&n1);
  sscanf(&head[4][20],"%d",&n2);
  k=indexpos(head,"GAINCAL ",72);
  if(k==72)gain=1.8;
  else { sscanf(&head[k][9],"%f %f %f %f",&x1,&x2,&x3,&x4);
         gain=(x1+x2+x3+x4)/4.; }
  k=indexpos(head,"SEEING  ",72); sscanf(&head[k][12],"%f",&seeing);
  sscanf(&f1[1],"%d",&k);
  c2[0]='0'; if(k>5700)c2[0]='1'; if(k>6000)c2[0]='2';
  c2[1]=f1[11]; c2[2]=0;
  sprintf(f3,"%s.cat",f1); fp=fopen(f3,"r");
  if(!fp){ printf("%s not found!\n",f3); exit(0); } fclose(fp); 

  fp=fopen("ber.job","w");
  fprintf(fp,"sex21812 %s -c /vega2/rhbin/config/prepsfex.sex %c\n",f2,c);
  fprintf(fp,"\t-CATALOG_NAME ber.cat %c\n",c);
  fprintf(fp,"\t-PARAMETERS_NAME /vega2/rhbin/config/prepsfex.param %c\n",c); 
  fprintf(fp,"\t-FILTER_NAME /vega2/rhbin/config/gauss_4.0_7x7.conv %c\n",c);
  fprintf(fp,"\t-WEIGHT_TYPE MAP_WEIGHT %c\n",c);
  fprintf(fp,"\t-WEIGHT_IMAGE /vega2/rhbin/flagwt/weight_%s.fits %c\n",c2,c);  
  fprintf(fp,"\t-FLAG_IMAGE     /vega2/rhbin/flagwt/flag_%s.fits %c\n",c2,c); 
  fprintf(fp,"\t-GAIN %4.2f\n",gain);
  
  fprintf(fp,"psfex ber.cat -PSF_SIZE 41,41 -CHECKPLOT_DEV NULL %c\n",c);
  fprintf(fp,"\t-CHECKPLOT_TYPE NONE -CHECKIMAGE_TYPE NONE %c\n",c);
  fprintf(fp,"\t-SAMPLE_VARIABILITY 0.5 -SAMPLE_FWHMRANGE 2.0,16.0\n");

  fprintf(fp,"mk_gauss_fit ber.fit %d %d 0.5 %s 33\n",n1,n2,f3);

  fprintf(fp,"sex21812 ber.fit,%s %c\n",f2,c);
  fprintf(fp,"\t-c /vega2/rhbin/config/uband.sex %c\n",c);
  fprintf(fp,"\t-CATALOG_TYPE  ASCII_HEAD %c\n",c);
  fprintf(fp,"\t-CATALOG_NAME %s.psfcat %c\n",f1,c);
  fprintf(fp,"\t-PARAMETERS_NAME /vega2/rhbin/config/uband.param %c\n",c);
  fprintf(fp,"\t-WEIGHT_TYPE NONE,MAP_WEIGHT %c\n",c);
  fprintf(fp,"\t-WEIGHT_IMAGE NONE,/vega2/rhbin/flagwt/weight_%s.fits %c\n",c2,c); 
  fprintf(fp,"\t-FLAG_IMAGE /vega2/rhbin/flagwt/flag_%s.fits %c\n",c2,c); 
  fprintf(fp,"\t-GAIN %4.2f -SEEING_FWHM %4.2f %c\n",gain,seeing,c);
  fprintf(fp,"\t-STARNNW_NAME /vega2/rhbin/config/default.nnw %c\n",c);
//       -CHECKIMAGE_NAME p5924_0188_1_check.fits 
  fprintf(fp,"\t-PSF_NAME ber.psf\n");

  fclose(fp);  
  printf("\n\tber.job is a batch file\n");
}
